package Bankkonto;

/**
 * Der Kontomanager kreiert (im Auftrag, als Objekt Factory) ein
 * neues Konto fr einen Kunden
 * Parameter: Kundenname und Startbetrag.
 */

import java.rmi.Remote;
import java.rmi.RemoteException;

public interface KontoManager
    extends Remote
{

    /**
     * erffnen eines Kontos fr den Kunden s mit Anfangskontostand f
     */
    public abstract Konto erffnen(String s, float f)
        throws ungltigerBetragException, RemoteException;
}
