package Berechnungsserver;

import java.rmi.*;
import java.rmi.server.*;
import berechne.*;

public class Rechenmaschine extends UnicastRemoteObject
                           implements Berechne
{
    public Rechenmaschine() throws RemoteException {
        	super();
	System.out.println("Rechenmaschine: Konstruktor");
    }

    public Object ausfhrenDerAufgabe(Aufgabe a) {
        return a.ausfhren();
    }

    public static void main(String[] args) {
        // Security Manager 	
        System.out.println("Rechenmaschine: Start von main");
        if (System.getSecurityManager() == null) {
           System.setSecurityManager(new RMISecurityManager());
        }
        String name = "rmi://localhost/Berechne";
        // Naming.rebind("rmi://localhost:1099/Service", obj);
        try {
            Berechne maschine = new Rechenmaschine();
            Naming.rebind(name, maschine);
            System.out.println("Rechenmaschine wurde gebunden!");
        } catch (Exception e) {
            System.err.println("Rechenmaschine Exception: " + e.getMessage());
            e.printStackTrace();
        }
    }
}
