import java.rmi.Naming;

public class TaschenrechnerServer {

  public TaschenrechnerServer() {
    System.out.println("TaschenrechnerServer: Konstruktion des TaschenrechnerServer");
    try {
      System.out.println("TaschenrechnerServer: Instanzieren von TaschenrechnerImpl");
      Taschenrechner c = new TaschenrechnerImpl();
      System.out.println("TaschenrechnerServer: Binden des TaschenrechnerServer an rmi://localhost:1099");
      Naming.rebind("rmi://localhost:1099/TaschenrechnerService", c);
    } catch (Exception e) {
      System.out.println("Ausnahme:TaschenrechnerServer " + e);
    }
  }

  public static void main(String args[]) {
    new TaschenrechnerServer();
  }
}
