// RMI time service client
package Client;

import java.rmi.Naming;
import java.rmi.RMISecurityManager;
// Interfaces
import Interfaces.*;

/** <tt>java ZeitServer.Client [host]</tt><br>
    verbindet diesen Client mit dem Zeitserver.
  */
public class Client {

  public static void main (String args []) {
    // falls der Host als args[] angegeben wurde : okay; sonst localhost
    String host = args != null && args.length > 0 ? args[0] : "localhost";
    String id = "rmi://"+ host +"/"+ Zeit.id;
    System.out.println("Insgesamt werden 10 Anfragen / remote Methodenaufrufe ausgefuehrt");
    try {
      for (int i=0; i<10; i++) {
      	System.setSecurityManager(new RMISecurityManager());
	System.out.println("ZeitServer Client : es ist jetzt genau");
	System.out.println(((Zeit)Naming.lookup(id)).liefereZeit()+"; Jetzt schlaeft der Thread 1 Sekunde");
        try {
          Thread.sleep(1000);
        } catch (Exception e) {
          System.out.println("Der Thread wurde im Schlaf berrascht und gekillt");
        }
      }
    } catch (Exception e) { System.out.println(e); System.exit(1); }
  }
}
