// Bank Server - Klasse, welche den RMI Server darstellt
//
package Bank;
import java.rmi.*;
import Bankkonto.*;

public class BankServer {
	public static void main(String args[] ) {
		System.out.println("BankServer : start und setzen des SecurityManagers");
		// kreieren und installieren eines SecurityManagers
		//System.setSecurityManager(new RMISecurityManager() );
		try {
			// Instanzen : Objekte,welche registriert werden
			System.out.println("BankServer.main() : kreieren eines KontoImpl Objekts");
			KontoManagerImpl kmi = new KontoManagerImpl();

			// binden der Instanz an die Registry
			System.out.println("BankServer.main() : binden des KontoManagers an den Bankserver [Registry]");
			// zum Testen : Abfrage der Registry
			System.out.println("BankServer.main() : registrierte Objekte vor dem Binden");
      			for (int i=0; i< Naming.list("rmi://localhost/").length; i++)
      				System.out.println(" "+Naming.list("rmi://localhost/")[i]);

			Naming.rebind("KontoManager",kmi);
			// zum Testen : Abfrage der Registry
			System.out.println("BankServer.main() : registrierte Objekte nach dem Binden");
      			for (int i=0; i< Naming.list("rmi://localhost/").length; i++)
      				System.out.println(" "+Naming.list("rmi://localhost/")[i]);

			System.out.println("KontoManager Server ist gebunden!");
		} catch (Exception e) {
			System.err.println("BankServer.main() : eine Ausnahme wurde geworfen - "+e.getMessage() );
			e.printStackTrace();
		}
    	System.out.println("BankServer:main()... und Tschuess!");
	}
}
