package bestimmelocalehostundip;
import java.net.*;

//Titel:        InetAddress.getAllByName
//Version:
//Copyright:    Copyright (C) J.M.Joller
//Autor:       J.M.Joller
//Firma:      Joller-Voss GmbH
//Beschreibung:  Abfrage eines Hosts mit Hilfe des Namens und Bestimmung aller IP Adressen dieses Hosts

public class HostIPInfos {
  public static void main (String args[]) {
    String strName[ ] = {"ztnw293","ztnwx201", "localhost",
                        "ztnw293.hta.fhz.ch","ztnw293.ztl.ch",
                        "ztnwx201.hta.fhz.ch", "ztnwx201.ztl.ch"};
      for (int i=0; i< strName.length; i++)
      try {
        InetAddress[] addresses = InetAddress.getAllByName(strName[i]);
        for (int j = 0; j < addresses.length; j++) {
          System.out.println("Host\t:"+strName[i]+"\tIPAdresse: "+addresses[j]);
        }
      }
        catch (UnknownHostException e) {
          System.out.println("Die Adresse "+strName[i]+" konnte nicht gefunden werden!");
      }
      try {
        InetAddress addresse = InetAddress.getLocalHost();
        System.out.println("LocalHost\tAdresse: "+addresse);
      }
        catch (UnknownHostException e) {
          System.out.println("Die Adresse vom LocalHost konnte nicht gefunden werden!");
      }
  }

}
