import java.rmi.Remote;
import java.rmi.RemoteException;

public class TaschenrechnerImpl
    extends java.rmi.server.UnicastRemoteObject
    implements Taschenrechner {

    // die Implementation muss einen expliziten 
    // Konstruktor definieren, damit die 
	  // RemoteException Exception deklariert werden kann

    public TaschenrechnerImpl()
        throws java.rmi.RemoteException {
        super();
        System.out.println("TaschenrechnerImpl wurde konstruiert");
    }

    public long add(long a, long b)
        throws java.rmi.RemoteException {
        System.out.println("TaschenrechnerImpl add "+a+" "+b);
        return a + b;
    }

    public long sub(long a, long b)
        throws java.rmi.RemoteException {
        System.out.println("TaschenrechnerImpl sub "+a+" "+b);
        return a - b;
    }

    public long mul(long a, long b)
        throws java.rmi.RemoteException {
        System.out.println("TaschenrechnerImpl mul "+a+" "+b);
        return a * b;
    }

    public long div(long a, long b)
        throws java.rmi.RemoteException {
        System.out.println("TaschenrechnerImpl div "+a+" "+b);
        return a / b;
    }
}
