// RMI Zeit Service Server
package Server;

import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.RMISecurityManager;
import java.rmi.server.UnicastRemoteObject;
import java.util.Date;
import Interfaces.*;

/** <tt>java [-Dtrace=true] ZeitServer</tt><br>
    implementiert Zeit Service, kreiert den (Zeit-) Server.
  */
public class ZeitServer extends UnicastRemoteObject implements Zeit {
  /** Exceptions.
    */
  public ZeitServer() throws RemoteException {
	System.out.println("ZeitServer: Konstruktor");
    	/*if (Boolean.getBoolean("trace")) {
		setLog(System.err);
		System.out.println("ZeitServer.ZeitServer(): setLog(System.err)");
	}*/
  }

  public String liefereZeit() throws RemoteException {
	System.out.println("ZeitServer.liefereZeit() "+ new Date().toString());	
    	return new Date().toString();
  }
  /** starten und registrieren eines Services
    */
  public static void main (String args []) {
	try {
		System.out.println("ZeitServer.main() ");
	    	if (Boolean.getBoolean("sec")) {
			System.out.println("ZeitServer.main(): setSecurityManager()");
	      		System.setSecurityManager(new RMISecurityManager());
			System.out.println("ZeitServer.ZeitServer(): setSecurityManager()");
		} else System.out.println("ZeitServer.main(): setSecurityManager() disabled");


		System.out.println("ZeitServer.main(): Naming.rebind() ");
      		Naming.rebind(Zeit.id, new ZeitServer());
    	} catch (Exception e) { 	System.out.println(e); 
				e.getMessage();
      				e.printStackTrace();
				System.exit(1); }
  }
}
